Subject: [CDNi] CDNI JSON object description notations

From: Ori Finkelman <[email-masked]>
Date: Wed, 2 May 2018 15:48:42 +0300

Dear all,
I am currently drafting and extension for the CDNI Triggers interface.
I am wondering about the differences in JSON object specification notations
between RFCs 8006 (metadata) and 8008 (FCI)  vs RFC 8007 (Triggers).
In metadata and FCI a json field is described as a "property" that has a
"description" and a "type", for example
+  GenericMetadata https://tools.ietf.org/html/rfc8006#section-4.1.7

      Property: generic-metadata-type

         Description: Case-insensitive CDNI Metadata object type.

         Type: String containing the CDNI Payload Type [RFC7736
<https://tools.ietf.org/html/rfc7736>] of the
         object contained in the generic-metadata-value property (see
         Table 4).

+ FCI Base Advertisement Object
https://tools.ietf.org/html/rfc8008#section-5.1

      Property: capability-type

         Description: CDNI capability object type.

         Type: FCI-specific CDNI Payload Type (from the "CDNI Payload
         Types" registry [RFC7736 <https://tools.ietf.org/html/rfc7736>])

         Mandatory-to-Specify: Yes.

While in Triggers, the JSON field is described as a "name" that has a
"description" and a "value" for example:
+ Trigger Specification https://tools.ietf.org/html/rfc8007#section-5.2.1

      Name: type

         Description: Defines the type of the CI/T Trigger Command.

         Value: Trigger Type, as defined in Section 5.2.2
<https://tools.ietf.org/html/rfc8007#section-5.2.2>.

I was wondering what is the reason for this difference, is it anything but
different styles ? what notation should we follow when extending these
interfaces, and in my case, as my draft extends both interface, what
notation should be used ?
Perhaps, this means I should have two separate drafts ?

Thanks,
Ori

-- 

*Ori Finkelman*Qwilt | Work: +972-72-2221647 | Mobile: +972-52-3832189 |
[email-masked]

---

From: "Murray, Rob (Nokia - GB/Cambridge)" <[email-masked]>
Date: Wed, 2 May 2018 14:10:55 +0000

Hi Ori, all,

I don't think the difference has any particular significance, just style. I probably based the Triggers headings on an earlier version of the metadata draft, or maybe just changed the headings without thinking.

I'm not sure whether it's best to have an Open Caching extensions draft per CDNI interface. Perhaps it depends on where the extensions are headed ... if the intention is to update/replace each of the existing RFCs, maybe it'll be easiest to keep the draft updates separate. Otherwise, if the new draft is going to turn into a standalone SVA Open Caching extensions RFC, perhaps it'd be best to keep all the extensions together?

Rob.

From: CDNi <[email-masked]> on behalf of Ori Finkelman <[email-masked]>
Date: Wednesday, 2 May 2018 at 13:49
To: "<[email-masked]>" <[email-masked]>
Subject: [CDNi] CDNI JSON object description notations

Dear all,
I am currently drafting and extension for the CDNI Triggers interface.
I am wondering about the differences in JSON object specification notations between RFCs 8006 (metadata) and 8008 (FCI)  vs RFC 8007 (Triggers).
In metadata and FCI a json field is described as a "property" that has a "description" and a "type", for example
+  GenericMetadata https://tools.ietf.org/html/rfc8006#section-4.1.7

         Type: String containing the CDNI Payload Type [RFC7736<https://tools.ietf.org/html/rfc7736>] of the

         Table 4).

+ FCI Base Advertisement Object https://tools.ietf.org/html/rfc8008#section-5.1

         Types" registry [RFC7736<https://tools.ietf.org/html/rfc7736>])

While in Triggers, the JSON field is described as a "name" that has a "description" and a "value" for example:
+ Trigger Specification https://tools.ietf.org/html/rfc8007#section-5.2.1

      Name: type

         Value: Trigger Type, as defined in Section 5.2.2<https://tools.ietf.org/html/rfc8007#section-5.2.2>.

I was wondering what is the reason for this difference, is it anything but different styles ? what notation should we follow when extending these interfaces, and in my case, as my draft extends both interface, what notation should be used ?
Perhaps, this means I should have two separate drafts ?

Thanks,
Ori

--
Ori Finkelman
Qwilt | Work: +972-72-2221647 | Mobile: +972-52-3832189 | [email-masked]<mailto:[email-masked]>

---

From: Ori Finkelman <[email-masked]>
Date: Wed, 2 May 2018 23:12:14 +0300

Hi Rob,
Thanks for your input, in that case I will just stick with one of the
notations.
As for the separation of documents, I think that at this point I will keep
it in a single draft, at least until the first revision is published.
Then we can discuss it and decide if I should split them or keep them
together, I am fine with both alternatives.

Thanks,
Ori

On Wed, May 2, 2018 at 5:10 PM, Murray, Rob (Nokia - GB/Cambridge) <
[email-masked]> wrote:

> Hi Ori, all,
>
>
>
> I don't think the difference has any particular significance, just style.
> I probably based the Triggers headings on an earlier version of the
> metadata draft, or maybe just changed the headings without thinking.
>
>
>
> I'm not sure whether it's best to have an Open Caching extensions draft
> per CDNI interface. Perhaps it depends on where the extensions are headed
> ... if the intention is to update/replace each of the existing RFCs, maybe
> it'll be easiest to keep the draft updates separate. Otherwise, if the new
> draft is going to turn into a standalone SVA Open Caching extensions RFC,
> perhaps it'd be best to keep all the extensions together?
>
>
>
> Rob.
>
>
>
>
>
> *From: *CDNi <[email-masked]> on behalf of Ori Finkelman <
> [email-masked]>
> *Date: *Wednesday, 2 May 2018 at 13:49
> *To: *"<[email-masked]>" <[email-masked]>
> *Subject: *[CDNi] CDNI JSON object description notations
>
>
>
> Dear all,
>
> I am wondering about the differences in JSON object specification
> notations between RFCs 8006 (metadata) and 8008 (FCI)  vs RFC 8007
> (Triggers).
>
>          Type: String containing the CDNI Payload Type [RFC7736 <https://tools.ietf.org/html/rfc7736>] of the
>
>          Value: Trigger Type, as defined in Section 5.2.2 <https://tools.ietf.org/html/rfc8007#section-5.2.2>.
>
>
>
> *Ori Finkelman *Qwilt | Work: +972-72-2221647 | Mobile: +972-52-3832189 |
> [email-masked]
>

--